/*
Copyright (C) 2000-2010  Ministere de la culture et de la communication (France), AJLSM
See LICENCE file
*/
package fr.gouv.culture.oai;

import org.xml.sax.SAXException;


/*
 * Created by IntelliJ IDEA.
 * User: rpandey
 * Date: Apr 24, 2003
 * Time: 12:04:18 PM
 * To change this template use Options | File Templates.
 */

/**The mediator between an OAIRepository and an OAIRequest
 *
 */
public interface OAIResponse extends OAIObject {

    /**Sets the oai request*/
    void setRequest(OAIRequest request);

    /**Gets the oai request*/
    OAIRequest getRequest();

    /**Sets the repository */
    void setRepository(OAIRepository repository);

    /**Gets the repository */
    OAIRepository getRepository();

    /**Executes the request and sends the response (SAX flow) to the consumer using the request and the repository provided*/
    void sendResponse() throws SAXException;

}
